summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Hesse2015-06-28 22:53:23 +0200
committerChristian Hesse2015-06-28 22:53:23 +0200
commit4046bd0d7b2808a1a0059555cd8479146d70eaac (patch)
tree2f60645153cfc8fb6645bf72f0317561cd59982b
downloadaur-4046bd0d7b2808a1a0059555cd8479146d70eaac.tar.gz
initial import of claws-mail-git 3.11.1.r168.g3dc44ce-1
-rw-r--r--.SRCINFO63
-rw-r--r--PKGBUILD115
-rw-r--r--claws-mail.install15
3 files changed, 193 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9a1927ce6ef
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,63 @@
+pkgbase = claws-mail-git
+ pkgdesc = A GTK+ based e-mail client - git checkout
+ pkgver = 3.11.1.r168.g3dc44ce
+ pkgrel = 1
+ url = http://www.claws-mail.org/
+ install = claws-mail.install
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = spamassassin
+ makedepends = bogofilter
+ makedepends = valgrind
+ makedepends = libsoup
+ makedepends = libgdata
+ makedepends = webkitgtk2
+ makedepends = libnotify
+ makedepends = libcanberra
+ makedepends = poppler-glib
+ makedepends = pygtk
+ depends = gtk2
+ depends = gnutls
+ depends = startup-notification
+ depends = enchant
+ depends = gpgme
+ depends = libetpan
+ depends = compface
+ depends = libsm
+ depends = dbus-glib
+ depends = hicolor-icon-theme
+ depends = desktop-file-utils
+ optdepends = python2: needed for some tools and python plugin
+ optdepends = perl: needed for some tools and perl plugin
+ optdepends = spamassassin: adds support for spamfiltering
+ optdepends = bogofilter: adds support for spamfiltering
+ optdepends = libnotify: for notification plugin
+ optdepends = libcanberra: for notification plugin
+ optdepends = dbus: for notification plugin
+ optdepends = expat: for rssyl plugin
+ optdepends = libxml2: for fancy html viewer and gdata plugins
+ optdepends = curl: for fancy html viewer, vcalendar, rssyl and spamreport plugins
+ optdepends = libarchive: for archive plugin and various other plugins
+ optdepends = libytnef: for tnef_parse plugin
+ optdepends = webkitgtk2: for the fancy webkit html plugin
+ optdepends = libsoup: for the fancy webkit html plugin
+ optdepends = libgdata: for gdata plugin
+ optdepends = poppler-glib: for pdf viewer plugin
+ optdepends = ghostscript: for pdf viewer plugin
+ provides = claws
+ provides = claws-mail
+ conflicts = claws-mail-extra-plugins
+ conflicts = claws-mail
+ replaces = sylpheed-claws
+ replaces = claws-mail-extra-plugins
+ source = claws-mail::git://git.claws-mail.org/claws.git
+ source = http://www.eworm.de/download/linux/claws-timestamp.patch
+ source = http://www.eworm.de/download/linux/claws-git-version.patch
+ sha256sums = SKIP
+ sha256sums = bbf29f10602a74d73f1a30d791ae49c3b1d5abf20c48db0f4c81b0dca7bc0078
+ sha256sums = d377a7a6278b84152cbb8095461223829c3a21e2ca2f35aa8862c058540b61d5
+
+pkgname = claws-mail-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..99b62aad664
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,115 @@
+# Maintainer: Christian Hesse <mail@eworm.de>
+
+pkgname=claws-mail-git
+pkgver=3.11.1.r168.g3dc44ce
+pkgrel=1
+pkgdesc='A GTK+ based e-mail client - git checkout'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.claws-mail.org/"
+depends=('gtk2' 'gnutls' 'startup-notification' 'enchant' 'gpgme' 'libetpan' 'compface'
+ 'libsm' 'dbus-glib' 'hicolor-icon-theme' 'desktop-file-utils')
+makedepends=('git' 'spamassassin' 'bogofilter' 'valgrind'
+ # dependencies for plugins
+ 'libsoup' 'libgdata' 'webkitgtk2' 'libnotify' 'libcanberra' 'poppler-glib' 'pygtk')
+ #'libchamplain' needed for geolocation plugin, disabled for now
+ # most time it's not compatible with current gnome releases
+optdepends=('python2: needed for some tools and python plugin'
+ 'perl: needed for some tools and perl plugin'
+ 'spamassassin: adds support for spamfiltering'
+ 'bogofilter: adds support for spamfiltering'
+ 'libnotify: for notification plugin'
+ 'libcanberra: for notification plugin'
+ 'dbus: for notification plugin'
+ 'expat: for rssyl plugin'
+ 'libxml2: for fancy html viewer and gdata plugins'
+ 'curl: for fancy html viewer, vcalendar, rssyl and spamreport plugins'
+ 'libarchive: for archive plugin and various other plugins'
+ 'libytnef: for tnef_parse plugin'
+ 'webkitgtk2: for the fancy webkit html plugin'
+ 'libsoup: for the fancy webkit html plugin'
+ 'libgdata: for gdata plugin'
+ 'poppler-glib: for pdf viewer plugin'
+ 'ghostscript: for pdf viewer plugin')
+replaces=('sylpheed-claws' 'claws-mail-extra-plugins')
+conflicts=('claws-mail-extra-plugins' 'claws-mail')
+provides=('claws' 'claws-mail')
+install=claws-mail.install
+source=('claws-mail::git://git.claws-mail.org/claws.git'
+ 'http://www.eworm.de/download/linux/claws-timestamp.patch'
+ 'http://www.eworm.de/download/linux/claws-git-version.patch')
+
+pkgver() {
+ cd claws-mail/
+
+ if GITTAG="$(git describe --abbrev=0 --tags 2>/dev/null)"; then
+ echo "$(sed -e "s/^${pkgname%%-git}//" -e 's/^[-_/a-zA-Z]\+//' -e 's/[-_+]/./g' <<< ${GITTAG}).r$(git rev-list --count ${GITTAG}..).g$(git log -1 --format="%h")"
+ else
+ echo "0.r$(git rev-list --count master).g$(git log -1 --format="%h")"
+ fi
+}
+
+prepare() {
+ cd claws-mail/
+
+ # show timestamp in about dialog
+ patch -Np1 < ${srcdir}/claws-timestamp.patch
+ git update-index --assume-unchanged src/gtk/about.c
+
+ # change length of git commit hash
+ patch -Np1 < ${srcdir}/claws-git-version.patch
+ git update-index --assume-unchanged configure.ac
+
+ # fixes for python2
+ sed -i 's@^#!.*python.*@#!/usr/bin/python2@' tools/*.py
+ git update-index --assume-unchanged tools/*.py
+}
+
+build() {
+ cd claws-mail/
+
+ # run autogen without options - it runs ./configure for us, but we need to fix python first
+ NOCONFIGURE=1 ./autogen.sh
+
+ # fixes for python2
+ export PYTHON="/usr/bin/python2"
+ sed -i 's:python -c:python2 -c:g' configure
+
+ # add --enable-new-addrbook to the options to use the new address book
+ # do not forget to add claws-contacts to the dependencies then
+ ./configure --disable-maintainer-mode \
+ --prefix=/usr \
+ --disable-static \
+ --enable-silent-rules \
+ --disable-jpilot \
+ --enable-enchant \
+ --enable-gnutls \
+ --enable-ldap \
+ --enable-crash-dialog \
+ --enable-pgpmime-plugin \
+ --enable-spamassassin-plugin \
+ --enable-bogofilter-plugin \
+ #--help
+ make
+
+ # build extra tools
+ cd tools/
+ make
+}
+
+package() {
+ cd claws-mail/
+
+ make DESTDIR="${pkgdir}" install
+
+ # install extra tools
+ # all executables and .conf files ; only top directory
+ cd tools
+ for FILE in $(find -maxdepth 1 -type f -and -perm /111 -or -name '*.conf'); do
+ install -D -m0755 ${FILE} ${pkgdir}/usr/lib/claws-mail/tools/${FILE}
+ done
+}
+
+sha256sums=('SKIP'
+ 'bbf29f10602a74d73f1a30d791ae49c3b1d5abf20c48db0f4c81b0dca7bc0078'
+ 'd377a7a6278b84152cbb8095461223829c3a21e2ca2f35aa8862c058540b61d5')
diff --git a/claws-mail.install b/claws-mail.install
new file mode 100644
index 00000000000..34d8c65dddf
--- /dev/null
+++ b/claws-mail.install
@@ -0,0 +1,15 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+}
+